Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 925867 - libpuzzle: Does not support aarch64 in f19 and rawhide
Summary: libpuzzle: Does not support aarch64 in f19 and rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libpuzzle
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 01:08 UTC by Dennis Gilmore
Modified: 2014-07-08 05:46 UTC (History)
3 users (show)

Fixed In Version: libpuzzle-0.11-22.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-08 05:46:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Fix FTBFS on aarch64 (deleted)
2014-07-01 03:18 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Dennis Gilmore 2013-03-23 01:08:22 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  libpuzzle appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/libpuzzle/libpuzzle-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Yaakov Selkowitz 2014-07-01 03:18:15 UTC
Created attachment 913624 [details]
Fix FTBFS on aarch64

Successful scratch build:
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2467307


Note You need to log in before you can comment on or make changes to this bug.